> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://rockwell.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://rockwell.ferndocs.com/_mcp/server.

# Delete Contact

DELETE https://connect.plex.com/crm/v1/contacts/{id}

Permanently delete a contact record.

Reference: https://rockwell.ferndocs.com/api-reference/contacts-api/delete-contact

## Request

### Path parameters

- `id` (string, required)

## Response

### 204

Success Response

## Errors

### 400 Bad Request Error

Bad Request - Invalid ID Format

- `error` (CrmV1ContactsIdDeleteResponsesContentApplicationJsonSchemaError, optional)

### 401 Unauthorized Error

Unauthorized - Missing Token

- `error` (CrmV1ContactsIdDeleteResponsesContentApplicationJsonSchemaError, optional)

### 403 Forbidden Error

Forbidden - Insufficient Permissions

- `error` (CrmV1ContactsIdDeleteResponsesContentApplicationJsonSchemaError, optional)

### 404 Not Found Error

Not Found

- `error` (CrmV1ContactsIdDeleteResponsesContentApplicationJsonSchemaError, optional)

### 410 Gone Error

Not Found - Contact Already Deleted

- `error` (CrmV1ContactsIdDeleteResponsesContentApplicationJsonSchemaError, optional)

### 412 Precondition Failed Error

Precondition Failed - Concurrent Modification

- `error` (CrmV1ContactsIdDeleteResponsesContentApplicationJsonSchemaError, optional)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `error` (CrmV1ContactsIdDeleteResponsesContentApplicationJsonSchemaError, optional)

### 500 Internal Server Error

Internal Server Error

- `error` (CrmV1ContactsIdDeleteResponsesContentApplicationJsonSchemaError, optional)

### 503 Service Unavailable Error

Service Unavailable

- `error` (CrmV1ContactsIdDeleteResponsesContentApplicationJsonSchemaError, optional)

## Types

### CrmV1ContactsIdDeleteResponsesContentApplicationJsonSchemaError

- `code` (string, optional)
- `message` (string, optional)
- `details` (CrmV1ContactsIdDeleteResponsesContentApplicationJsonSchemaErrorDetails, optional)
- `solution` (string, optional)

### CrmV1ContactsIdDeleteResponsesContentApplicationJsonSchemaErrorDetails

- `reason` (string, optional)
- `estimated_duration` (string, optional)
- `started_at` (datetime, optional)
- `estimated_completion` (datetime, optional)
- `retry_after` (integer, optional)

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://connect.plex.com/crm/v1/contacts/id"

response = requests.delete(url)

print(response.json())
```

```javascript
const url = 'https://connect.plex.com/crm/v1/contacts/id';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://connect.plex.com/crm/v1/contacts/id"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://connect.plex.com/crm/v1/contacts/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://connect.plex.com/crm/v1/contacts/id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://connect.plex.com/crm/v1/contacts/id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://connect.plex.com/crm/v1/contacts/id");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://connect.plex.com/crm/v1/contacts/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```